Subject: Re: Making git grep ignore binary the default

From: Junio C Hamano <[email-masked]>
Date: Sat, 18 Oct 2025 09:01:28 -0700

Jeff King <[email-masked]> writes:

> I think we've discussed this before, and digging in the archive found
> this thread from 2012:
>
>   https://lore.kernel.org/git/[email-masked]/
>
> I think some of those ideas came to fruition. You can do:
>
>   git grep ':(attr:!binary)'
>
> now (which obviously is harder than "-I", but the point is that it
> extends to any attribute if you want). But I still think it would be
> nice if there was a way to make it the default (without using an alias).

Yeah, after I re-read the thread, I specially liked the "filetype"
idea that you floated in

  https://lore.kernel.org/git/[email-masked]/

;-).